{$APPTYPE CONSOLE}

program test;

uses ESDFP_strings;

var c:TPARAMLIST;
    ESDF_P_string,SDF_P_string:string;

begin
        c:=TPARAMLIST.Create;

        SDF_P_string:='"param1=value1","param2=value2","compiler=Del"';

        writeln('Using SDF-P capabilities:');
        writeln('SDF-P string= '+SDF_P_string);
        writeln;

        c.addESDF_P_string(SDF_P_string);

        writeln('param1='+c.getParameter('param1','NOT FOUND'));
        writeln('param2='+c.getParameter('param2','NOT FOUND'));
        writeln('param3='+c.getParameter('param3','NOT FOUND'));
        writeln('compiler='+c.getParameter('compiler','NOT FOUND'));

        writeln;
        writeln('----------------------------------------------------');

        writeln('Using Extended SDF-P capabilities:');

        ESDF_P_string:='"compiler+=phi"';
        writeln('ESDF-P string: '+ESDF_P_string);
        writeln;

        c.addESDF_P_string(ESDF_P_string);

        writeln('compiler='+c.getParameter('compiler','NOT FOUND'));

        writeln;
        writeln('----------------------------------------------------');
        writeln('Press key to continue...');
        readln;

        c.Destroy;
end.
